package com.ym.mec.biz.dal.enums;

import com.ym.mec.common.enums.BaseEnum;

/**
 * 器材购买方式（团购、自备）
 */
public enum KitPurchaseMethodEnum implements BaseEnum<String, KitPurchaseMethodEnum> {
	GROUP("GROUP", "团购"), OWNED("OWNED", "自备"), LEASE("LEASE", "租赁");

	private String code;

	private String msg;

	KitPurchaseMethodEnum(String code, String msg) {
		this.code = code;
		this.msg = msg;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getMsg() {
		return msg;
	}

	public void setMsg(String msg) {
		this.msg = msg;
	}

	@Override
	public String getCode() {
		return this.code;
	}
}
